Speculatively open connections for sites when hovering unrestored background tabs
Tim already had the idea to speculatively open connections for sites when hovering a pending tab

I'm merely filing a bug for this.

Related: bug 789889 and bug 790882